2008-04-04  Raja R Harinath  <harinath@hurrynot.org>

	* cs0119-4.cs, cs0119-5: New tests from #377028.

	* cs0219-3.cs: New test from #319508.
	* cs0219-2.cs: New test from #324765.

2008-03-14 Marek Safar <marek.safar@gmail.com>

	* Makefile: New compiler-tester options.

2008-02-25  Raja R Harinath  <harinath@hurrynot.org>

	* cs0152-3.cs: New testcase from #363791.

	* gcs1644-10.cs: Remove spurious error message.

2008-02-17  Raja R Harinath  <harinath@hurrynot.org>

	* Makefile: Enable testing net_2_1 profile.

2008-01-12  Raja R Harinath  <harinath@hurrynot.org>

	* Makefile (VALID_PROFILE): New.  Disable tests for other profiles.

2008-01-06  Gert Driesen  <drieseng@users.sourceforge.net>

	* gcs0281.cs: Modified expected error message now that fix for bug
	#315057 has been applied.

2007-10-17  Gert Driesen  <drieseng@users.sourceforge.net>

	* cs0177-8.cs: New test based on #325478.

2007-10-09  Jb Evain  <jbevain@novell.com>

	* known-issues-mcs: test asserting that assembly
	version check should work now.

2007-10-07  Jb Evain  <jbevain@novell.com>

	* cs0647-17.cs: New test for assembly version verification.

2007-10-03  Raja R Harinath  <rharinath@novell.com>

	* cs0120-10.cs: New test based on #328490.

2007-08-24  Atsushi Enomoto  <atsushi@ximian.com>

	* cs1570-12.cs : new test (bug #82565).

2007-06-07  Raja R Harinath  <harinath@gmail.com>

	* cs0135-2.cs, cs0135-3.cs: New tests for parameter name
	conflicts.

2007-05-22  Scott Peterson  <lunchtimemama@gmail.com>
	* gcs0271.cs, gcs0272.cs: Test automatic properties
	  for proper access control.

2007-05-17  Raja R Harinath  <rharinath@novell.com>

	* cs0159-5.cs, cs0159-6.cs, cs0159-7.cs: New tests as
	counterpoints to #81633.

2007-05-15  Scott Peterson  <lunchtimemama@gmail.com>
	* gcs0201.cs:
	  Make sure that Linq syntax fails correctly
	  when not compiling for Linq.

2007-05-08  Scott Peterson  <lunchtimemama@gmail.com>
	* gcs1526.cs:
	* gcs1526-2.cs:
	* gcs1031.cs:
	  Make sure that Linq syntax fails correctly
	  when not compiling for Linq.

2007-05-02  Raja R Harinath  <rharinath@novell.com>

	* cs1534-2.cs: New test.  Ensure that the error handling isn't
	limited to only erroneous 3-argument operators.

2007-04-09  Raja R Harinath  <rharinath@novell.com>

	* cs0103-5.cs: New test based on #81338.

2007-03-21  Bill Holmes  <billholmes54@gmail.com>
	* gcs0111-2.cs:
	With the new member ordering change in class.cs, the error message
	for this test has changed and now matches csc output.

	For Defect #79434

	All code is contributed under the MIT/X11 license.

2007-03-21  Bill Holmes  <billholmes54@gmail.com>

	* cs3005-6.cs
	* cs3005-15.cs
	  With the changes to mcs/class.cs in r74702 these test
	  outputs are now different.  The error messages are still correct
	  they are simply reporting the error on the other name due to the
	  new order objects are processed. 

2007-01-28  Raja R Harinath  <rharinath@novell.com>

	* gcs0411-3.cs: Rename to tests/gtest-309.cs.

2006-11-19  Gert Driesen  <drieseng@users.sourceforge.net>

	* cs1058.cs: Removed as CS1058 does not apply to 1.0 profile.
	* gcs1058-1.cs, gcs1058-2.cs: Added tests for bug #79810.

2006-10-26  Raja R Harinath  <rharinath@novell.com>

	* cs0165-13.cs: New test from #78820.

2006-10-06  Raja R Harinath  <rharinath@novell.com>

	* cs0146-5.cs: New test from #79584.

2006-10-04  Martin Baulig  <martin@ximian.com>

	* known-issues-mcs, known-issues-gmcs: Update; the anonymous
	method tests are now working.

2006-10-04  Raja R Harinath  <harinath@gmail.com>

	* cs0246-17.cs: An embarassingly simple testcase based on #79577.

2006-09-28  Raja R Harinath  <rharinath@novell.com>

	* gcs1502.cs: New test from #79013.

	* cs0229-3.cs, CS0229-3-lib.il: New test based on #79451.
	* cs0229-4.cs, CS0229-4-lib.il: Likewise.

2006-08-14  Raja R Harinath  <rharinath@novell.com>

	* gcs0306.cs: New test based on #79067.

2006-08-03  Raja R Harinath  <rharinath@novell.com>

	* cs0146-3.cs, cs0146-4.cs: New tests for bug discovered while
	fixing #77963.

2006-08-02  Raja R Harinath  <rharinath@novell.com>

	* cs0246-16.cs, gcs0246-8.cs: New tests from #77396.

2006-06-21  Raja R Harinath  <rharinath@novell.com>

	* cs0019-16.cs: New test from #78662.

2006-06-16  Raja R Harinath  <rharinath@novell.com>

	* cs0120-9.cs: New test from #78601.

2006-05-23  Raja R Harinath  <rharinath@novell.com>

	* cs0139-3.cs, cs0139-4.cs, cs0139-5.cs, cs0139-6.cs: New
	regression tests for 'break' and 'continue' inside a try block.

2006-05-18  Raja R Harinath  <rharinath@novell.com>

	* cs0162-6.cs, cs0162-7.cs: New tests for unreachable code.
	Emitting the warning on cs0162-7.cs needs a multi-pass algorithm.
	* cs0165-12.cs: New test from #77869.

2006-05-11  Raja R Harinath  <rharinath@novell.com>

	* cs0177-7.cs: Taken from erroneous sub-test in tests/test-154.cs.

2006-05-05  Raja R Harinath  <rharinath@novell.com>

	* cs0177-5.cs, cs0177-6.cs: New tests based on #78290.

2006-05-03  Raja R Harinath  <rharinath@novell.com>

	* cs0162-5.cs: New test from #76665.

2006-04-20  Raja R Harinath  <rharinath@novell.com>

	* cs1502-7.cs: New test from #75800.

	* cs0168-2.cs: New test from #66031.

2006-04-18  Raja R Harinath  <rharinath@novell.com>

	* cs1690.cs, cs1690-2.cs, cs1690-3.cs: Update.
	* cs1690-4.cs, cs1690-5.cs, cs1690-6.cs, cs1690-7.cs: New tests
	inspired by #77752.

2006-03-22  Raja R Harinath  <rharinath@novell.com>

	* gcs1908.cs, gcs1908-2.cs, gcs1908-3.cs, gcs1908-4.cs: New tests
	for DefaultParameterValueAttribute.

2006-03-01  Raja R Harinath  <rharinath@novell.com>

	* cs1540-8.cs: New test from #77627.

	* cs1628-2.cs: New test from #77679.

	* cs0205-3.cs, CS0205-3-lib.dll: New test based on #77642.

2006-02-07  Atsushi Enomoto  <atsushi@ximian.com>

	* cs1570-3.cs cs1570-5.cs cs1570-11.cs cs1570-9.cs cs1570-2.cs
	  cs1570-4.cs cs1570-6.cs cs1570.cs cs1570-10.cs cs1570-8.cs :

	  It reports XmlTextReader error message changes as build breakage.

	  That's why I opposed to compare error messages blindly.

2006-01-18  Raja R Harinath  <rharinath@novell.com>

	* cs1026-2.cs: New test from #76656.

2006-01-17  Raja R Harinath  <rharinath@novell.com>

	* cs0201-2.cs, cs0201-3.cs: New tests from #76824.

2006-01-16  Raja R Harinath  <rharinath@novell.com>

	* cs1654.cs, cs1654-2, cs1656-4: New tests from #76874.

2006-01-11  Raja R Harinath  <rharinath@novell.com>

	* cs0023-3.cs: New test from #77204.

2006-01-06  Ankit Jain  <jankit@novell.com>

	* known-issues-gmcs: Removed cs0619-18.cs and cs0619-24.cs (working now).

2005-12-21  Carlos Alberto Cortez <calberto.cortez@gmail.com>

	* CSFriendAssembly-lib.cs: Update friend assembly info
	after the latest updates to this feature.

	* gcs1726.cs: Likewise.

	* gcs0281.cs: Likewise.
	
2005-12-21  Carlos Alberto Cortez <calberto.cortez@gmail.com>

	* gcs1726-2.cs: New test based on last update to
	friend assembly access.

2005-12-20  Raja R Harinath  <rharinath@novell.com>

	* cs0628-3.cs: New test based on #77035.

2005-12-16  Raja R Harinath  <rharinath@novell.com>

	* cs0659-2.cs: New test based on #77006.

2005-12-05  Raja R Harinath  <rharinath@novell.com>

	* Makefile (DISTFILES): Add *.snk.

2005-12-05  Atsushi Enomoto  <atsushi@ximian.com>

	* cs1574-8.cs, cs1574-9.cs : new tests for bug #76873.
	* known-issues-gmcs : updated.

2005-12-01  Atsushi Enomoto  <atsushi@ximian.com>

	* cs0419-4.cs : test for the first case of bug #76727.
	* known-issues-gmcs : added it.

2005-11-16  Atsushi Enomoto  <atsushi@ximian.com>

	* cs1574-7.cs : fixed code format ("Line") to make it working.
	* cs0419-3.cs : new test for ambiguity resolution.
	* known-issues-gmcs : actually cs1574-7.cs is kind of regression,
	  thus no need to be added here.

2005-11-16  Atsushi Enomoto  <atsushi@ximian.com>

	* cs1574-7.cs : new test to warn doc reference to interface members 
	  which is not exposed publicly.
	* known-issues-gmcs : added above.

2005-11-16  Atsushi Enomoto  <atsushi@ximian.com>

	* known-issues-gmcs : added cs0419-2.cs

2005-11-15  Atsushi Enomoto  <atsushi@ximian.com>

	* cs0419-2.cs : test to check error message problem in #76685.

2005-11-13  Atsushi Enomoto  <atsushi@ximian.com>

	* cs1591-19.cs : evidence for that bug #76692 is not a real bug.

2005-11-13  Atsushi Enomoto  <atsushi@ximian.com>

	* cs0419.cs : The error message is fixed to show an alternative, not
	  the identical one.

2005-11-04  Carlos Alberto Cortez <calberto.cortez@gmail.com>

	* gcs0281.cs: New test.
	* CSFriendAssembly-lib.cs: New helper file.
	
2005-10-27  Raja R Harinath  <rharinath@novell.com>

	* cs1501-11.cs, cs1502-5.cs: New tests from #76085.

2005-10-26  Raja R Harinath  <harinath@gmail.com>

	* cs0246-14.cs: New test from #76419.

2005-10-26  Raja R Harinath  <rharinath@novell.com>

	* cs0103-3.cs: New test for #76271.

2005-10-25  Carlos Alberto Cortez <calberto.cortez@gmail.com>

	* gcs1700.cs, gcs1726.cs, gcs0647.cs, gcs0647-2.cs: 
	  New tests.

	* InternalVisibleTo.snk: New key file for gcs1726.cs.
	  
2005-10-24  Carlos Alberto Cortez <calberto.cortez@gmail.com>

	* cs0430.cs, cs0439.cs, cs0439-2.cs, 
	  cs1537-2.cs, cs1537-3.cs, cs1679.cs, 
	  cs1680.cs, cs1681.cs: Added tests for extern alias
	  feature.

	* known-gmcs-issues: Update the issues to avoid testing
	the extern alias test in 2.0 profile. We need to change them
	as soon as the merged is done in gmcs.
	  
2005-10-20  Raja R Harinath  <rharinath@novell.com>

	* Makefile (run-mcs-tests): Set MONO_RUNTIME to $(RUNTIME).

2005-10-07  Raja R Harinath  <rharinath@novell.com>

	* cs0266-8.cs: New test from #76323.

2005-10-04  Raja R Harinath  <rharinath@novell.com>

	* Makefile (with_mono_path_n11b): New.
	(ILASM): Use it.

2005-09-26  Raja R Harinath  <rharinath@novell.com>

	* cs0212-3.cs: New test based on #76133.

2005-09-05  Atsushi Enomoto  <atsushi@ximian.com>

	* gcs0208-2.cs, gcs0208-3.cs, gcs0208-4.cs : added test with related
	  to #75772.

2005-09-01  Atsushi Enomoto  <atsushi@ximian.com>

	* cs0418-3.cs, cs0418-4.cs, cs0418-5.cs,
	  cs0441-2.cs : class modifier check on partial types.
	* known-issues-gmcs : added above.

2005-09-01  Atsushi Enomoto  <atsushi@ximian.com>

	* cs0665-2.cs : test for bug #75946.
	* known-issues-gmcs : added this file.

2005-08-31  Atsushi Enomoto  <atsushi@ximian.com>

	* cs0665.cs : new test (possibly incorrect assignment in if statement).

2005-08-30  Atsushi Enomoto  <atsushi@ximian.com>

	* cs0246-13.cs : testcase for #75930.

2005-08-24  Atsushi Enomoto  <atsushi@ximian.com>

	* cs0134-2.cs : testcase for bug #754333.

2005-08-24  Atsushi Enomoto  <atsushi@ximian.com>

	* known-issues-mcs : removed cs0642*.cs (working now)
	* cs0642-2.cs, cs0642-3.cs, cs0642-4.cs, cs0642-5.cs, cs0642-6.cs :
	  filename fix.
	* cs0642-7.cs, cs0642-8.cs, cs0642-9.cs :
	  Possible empty statement check for if&else.
	* cs0642-10.cs : additional empty statement check for "fixed".

2005-08-24 Marek Safar <marek.safar@seznam.cz>

	* Makefile: Add ilasm for *.il compilation.

2005-08-23  Atsushi Enomoto  <atsushi@ximian.com>

	* known-issues-mcs : removed cs0652.cs (working now)
	* cs0652-2.cs, cs0652-3.cs cs0652-4.cs : for bug #53974 plus alpha.

2005-08-23  Atsushi Enomoto  <atsushi@ximian.com>

	* cs0034-3.cs : for bug #73709.

2005-08-23  Atsushi Enomoto  <atsushi@ximian.com>

	* cs0034-2.cs : for bug #52492.

2005-08-23  Atsushi Enomoto  <atsushi@ximian.com>

	* cs1010-2.cs : for bug #75245.

2005-08-23  Atsushi Enomoto  <atsushi@ximian.com>

	* cs0165-10.cs, cs0165-11.cs : for bug #75721.

2005-08-12  Martin Baulig  <martin@ximian.com>

	* known-issues-gmcs: Ignore cs3005-13.cs since it's supposed to
	produce a warning and not an error on .NET 2.0.

2005-08-03  Raja R Harinath  <rharinath@novell.com>

	* cs0431.cs, cs0432.cs, cs0432-2.cs, cs0440.cs, cs0687.cs:
	New tests for the qualified-alias-member (::) feature.

2005-08-01  Raja R Harinath  <rharinath@novell.com>

	* cs0122-17.cs: New test from #75669.

2005-07-31  Raja R Harinath  <harinath@gmail.com>

	* cs1502-4.cs: New test from #75658.

	* cs0136-6.cs: New test from #75656.

2005-07-26  Raja R Harinath  <rharinath@novell.com>

	* cs0246-12.cs: New test from #75628.

2005-07-16  Raja R Harinath  <harinath@gmail.com>

	* cs0252.cs, cs0253.cs: New tests for #60638 from #75557.

2005-07-15  Raja R Harinath  <rharinath@novell.com>

	* cs0436.cs: New test from #72969.

2005-07-07  Raja R Harinath  <rharinath@novell.com>

	* cs0282.cs: New test from #75486.

2005-07-05  Raja R Harinath  <rharinath@novell.com>

	* cs0212-2.cs: New test from #72729.

2005-06-30  Raja R Harinath  <rharinath@novell.com>

	* cs0021-3.cs: New test from #75412.

	* cs0120-8.cs: New test from #75283.

2005-06-15  Raja R Harinath  <rharinath@novell.com>

	* Makefile (run-mcs-tests): Run with TEST_RUNTIME.

2005-06-06  Raja R Harinath  <rharinath@novell.com>

	* Makefile (run-mcs-tests): Update location of compiler-tester.exe.

2005-06-06 Marek Safar <marek.safar@seznam.cz>

	* Makefile: Reflect tester changes.
	
	* TestRunner.cs: Moved to tools/compiler-tester.
	
2005-06-03  Raja R Harinath  <rharinath@novell.com>

	* cs0654.cs: New test.

2005-06-02  Raja R Harinath  <rharinath@novell.com>

	* cs0119-2.cs: New test from #75080.

2005-05-31  Raja R Harinath  <rharinath@novell.com>

	* cs1589.cs, cs1590.cs, cs1590-2.cs, cs1590-3.cs, cs1592.cs:
	Output to 'dummy.xml'.

2005-05-30  Raja R Harinath  <rharinath@novell.com>

	* cs0122-16.cs: New test from #75088.

2005-05-26  Raja R Harinath  <rharinath@novell.com>

	* cs0173-3.cs: Rename from cs0172-2.cs.  CSC 1.1 reports CS0173,
	CSC 2.0.40607 reports CS0172.  CS0173 is somewhat more appropriate
	since the conversion is ambiguous.

2005-05-20  Martin Baulig  <martin@ximian.com>

	* mcs-known-issues, gmcs-known-issues: Updated.

	* *-expect-*, *-ignore-*: Removed; we don't need them anymore with
	the new test runner.

2005-05-09 Marek Safar <marek.safar@seznam.cz>

	* Makefile: Use TestRunner under NET_2_0.

2005-05-05  Raja R Harinath  <rharinath@novell.com>

	* Makefile (%-lib.dll, %-module.dll): Build during 'make test' or
	'make run-test'.

	* cs0122-14.cs, cs0122-15.cs, CS0122-14-lib.cs, CS0122-15-lib.cs:
	New tests based on #64812.

2005-05-04  Raja R Harinath  <rharinath@novell.com>

	* cs0122-13.cs: New test based on #64812.

2005-05-03  Raja R Harinath  <rharinath@novell.com>

	* errors.txt (warning -28): Remove.

2005-04-17  Atsushi Enomoto  <atsushi@ximian.com>

	* cs-1574-6.cs, cs-0419.cs : added new tests (bug #71603 and #71605).

2005-04-15  Raja R Harinath  <rharinath@novell.com>

	* cs0208-7.cs, cs0208-8.cs: New tests.  Verified on CSC.

2005-04-08  Raja R Harinath  <rharinath@novell.com>

	* cs0535-3.cs: New test from #58413.

2005-04-05  Raja R Harinath  <rharinath@novell.com>

	* cs0208-5.cs, cs0208-6.cs: New tests from #62232.

2005-04-04  Raja R Harinath  <rharinath@novell.com>

	* cs1521-2.cs: Change 'class' to a 'struct' to narrow down the
	testcase to having only the mentioned error.  With the previous
	code, CS0208 was also appropriate.

2005-04-01  Raja R Harinath  <rharinath@novell.com>

	* TestRunner.cs (TestRunner): Make "KNOWN ISSUE" messages slightly
	more verbose.
	* cs0208-4.cs: New test from #74232.

	* cs0267.cs: New.  Mentioned in passing in #74309.

2005-03-29  Raja R Harinath  <rharinath@novell.com>

	* cs0136-3.cs, cs0136-4.cs: New tests from #47991.

2005-03-18  Raja R Harinath  <rharinath@novell.com>

	* Makefile (DISTFILES): Don't distribute TestRunner.exe.

2005-03-17  Raja R Harinath  <rharinath@novell.com>

	* Makefile (test-local): Depend on TestRunner-$(PROFILE).cs.
	(run-mcs-tests): Clean up.  Use profile specific test runner.
	Disable TestRunner on net_2_0 profile.
	* TestRunner.cs (ProcessTester): Redirect stdout too.
	(Tester.Log, Tester.LogLine): New.  Replacements for Console.Write
	and Console.WriteLine that also log to files.
	(Tester.Main): Add new command line argument for log file name.
	Use the name of the compiler to select tests rather than "1".
	Exit with non-zero on regressions.

2005-03-16 Marek Safar <marek.safar@seznam.cz>

	* Makefile: Enabled TestRunner for default profile.
	
	* know-issues-*: Updated.

2005-03-16 Marek Safar <marek.safar@seznam.cz>

	* TestRunner.cs: Add support for (no errors, ignore errors).

2005-03-16  Raja R Harinath  <rharinath@novell.com>

	* Makefile (RUNTEST_PL, test-multi-local): Remove, now that
	they're no longer used.
	* runtest.pl: Remove.

2005-03-13  Martin Baulig  <martin@ximian.com>

	Reverted things back to revision 41701, which was the last one
	before Marek's changes.

2004-03-11  Atsushi Enomoto  <atsushi@ximian.com>

	* cs1041.cs : option -doc was missing.

2004-03-10  Atsushi Enomoto  <atsushi@ximian.com>

	* cs1041.cs : added test for bug #73385.

2005-03-10 Marek Safar <marek.safar@seznam.cz>

	* TestRunner.cs: New fast test runner.

2005-03-09  Raja R Harinath  <rharinath@novell.com>

	* cs1618-2.cs: New test for partial classes.

2005-03-07  Raja R Harinath  <rharinath@novell.com>

	* cs0120-6.cs, cs0120-7.cs: New tests from #73394.

2005-02-28  Raja R Harinath  <rharinath@novell.com>

	* cs0053-2.cs: New test from #73052.

2005-02-23  Raja R Harinath  <rharinath@novell.com>

	* cs0122-10.cs, CS0122-10-lib.cs: New tests based on #57851.
	* Makefile (all-local): Add CS0122-10-lib.dll.
	* cs0122-11.cs: New test based on #72718.
	* cs0112-2.cs: Remove erroneous test.  Same as cs1501.cs.
	* mcs-expect-wrong-error (cs1501.cs): Remove.

2005-02-22  Raja R Harinath  <rharinath@novell.com>

	* cs0115-3.c, cs0534-3.cs, cs0534-4.cs: New files based on #71134.
	* CS0534-3-lib.cs, CS0534-4-lib.cs: Likewise.
	* Makefile (all-local): Add CS0534-3-lib.dll and CS0534-4-lib.dll.

2005-02-21  Raja R Harinath  <rharinath@novell.com>

	* cs1594-1.cs, cs1594-2.cs, cs1594-3.cs: New tests based on #68955.

	* runtest.pl: Add unexpected error check.

2005-02-18  Raja R Harinath  <rharinath@novell.com>

	* cs0120-5.cs: New test from #72678.

	* cs0131-3.cs: New test from #63202.

2005-02-16  Raja R Harinath  <rharinath@novell.com>

	* cs0187-1.cs, cs0187-2.cs: New tests from #63202.

2005-02-15  Raja R Harinath  <rharinath@novell.com>

	* cs1502-3.cs: New test from #72554.

2005-02-11 Marek Safar <marek.safar@seznam.cz>

	* cs0133-2.cs, cs1641.cs, cs1642.cs, cs1644-3.cs, cs1663.cs
	cs1665.cs, cs1666.cs, cs3003-5.cs: Fixed buffer error tests.

2005-02-10  Raja R Harinath  <rharinath@novell.com>

	* cs0121-4.cs: New test.  Ensure that a param method isn't
	discarded if the signatures of other normal methods are different.

2005-02-04  Zoltan Varga  <vargaz@freemail.hu>

	* cs1617.cs: Add a newline so do-tests.pl can process it under
	sparc.

2005-02-02  Raja R Harinath  <rharinath@novell.com>

	* cs0108-12.cs: New test.  Ensure that cs0108 handling occurs when
	a constant is defined ahead of time due to forward references.

2005-01-25 Marek Safar <marek.safar@seznam.cz>

	* cs0176-4.cs: Bug #71257.

2005-01-25 Marek Safar <marek.safar@seznam.cz>

	* cs0647-14.cs: Bug #71651.
	
2005-01-12  Raja R Harinath  <rharinath@novell.com>

	* Makefile (run-generics-tests): Fix quoting to better work in
	Windows.  Remove some stray code leftover from testing.
	(DISTFILES): Distribute *.inc, *.pub, and *.response files too.
	* cs2023.response: Rename from CS2023.
	* cs2023.cs: Update.

2005-01-10  Raja R Harinath  <rharinath@novell.com>

	* Makefile (all-local): Add CS0118-2-lib.dll.
	(run-mcs-tests, run-generics-tests): Don't pipe through tee.  It
	loses exit code of do-tests.pl.
	* do-tests.pl (PROFILELOG): New.  Copy all output to this file too.
	* cs0234-2.cs: Bug #52697.
	* cs0234-3.cs: Bug #57200.
	* cs0118-2.cs, CS0118-2-lib.cs: Bug #67520.
	* cs0538-2.cs: Remove bogus test.

2005-01-10 Marek Safar <marek.safar@seznam.cz>

	* cs0612-2.cs, CS0612-2-lib.cs: Bug #70722.
	
2005-01-07 Marek Safar <marek.safar@seznam.cz>

	* cs0102-14.cs: Bug #70942.

2005-01-05  Duncan Mak  <duncan@ximian.com>
 
	* mcs-expect-no-error: Removed cs0541.cs, cs1040.cs.
        
 	* cs1040-2.cs: Added to track bug #56460.        
	
2004-12-29  Duncan Mak  <duncan@ximian.com>

	* cs0246-9.cs: Added to track bug #70758.

	* cs1510-3.cs: Added to track bug #70402.

2004-12-17  Raja R Harinath  <rharinath@novell.com>

	* Makefile (run-mcs-tests, run-generics.tests): Don't remove
	*.junk here.
	(clean-local): Remove them here.
	* do-tests.pl: Fix some perl warnings.

2004-12-17 Marek Safar <marek.safar@seznam.cz>

	* makefile: Removed LOCAL_MCS_FLAGS. Every test should
	have its own.

	* cs1621.cs, cs1014.cs, cs1615.cs, cs1609.cs, cs1627.cs,
	cs1599-2.cs, cs1620.cs, cs0686.cs, cs1534.cs, cs1007.cs,
	cs1626.cs, cs1599.cs, cs1670.cs, cs1646.cs, cs0683.cs,
	cs1638.cs, cs0103-2.cs: New error tests.

2004-12-14 Marek Safar <marek.safar@seznam.cz>

	* cs0418-2.cs, cs0418.cs, cs0441.cs, cs0662.cs
	cs0724.cs, cs1004.cs, cs1521-2.cs, cs1521.cs,
	cs1558.cs, cs1576.cs, cs3017.cs, cs3018-2.cs,
	cs3018.cs, cs3021.cs, cs3022.cs, cs3023.cs, cs3025.cs:
	New error tests.

2004-12-08  Martin Baulig  <martin@ximian.com>

	* gcs3024.cs: New test.

2004-12-08  Martin Baulig  <martin@ximian.com>

	* cs3002-4.cs: Renamed to cs3003-2.cs.
	* cs3002-7.cs: Renamed to cs3003-3.cs.
	* cs3002-8.cs: Renamed to cs3003-4.cs.

2004-12-07  Raja R Harinath  <rharinath@novell.com>

	* Makefile (DISTFILES): Add expected error and ignored test lists.

2004-12-07  Martin Baulig  <martin@ximian.com>

	* gcs0305.cs: Renamed to cs0246-2.cs.
	* gcs0305-2.cs: Renamed to cs0246-3.cs.
	* gcs0305-3.cs: Renamed to cs0246-4.cs.
	* gcs0305-4.cs: Renamed to cs0246-5.cs.
	* gcs0308.cs: Renamed to cs0246-6.cs.
	* gcs0308-2.cs: Renamed to cs0246-7.cs.
	* gcs0308-3.cs: Renamed to cs0246-8.cs.

2004-12-06  Martin Baulig  <martin@ximian.com>

	* cs8211.cs: Renamed to cs0182-4.cs.

2004-12-06  Martin Baulig  <martin@ximian.com>

	* cs8212.cs: Renamed to cs0182-3.cs.

2004-12-06  Martin Baulig  <martin@ximian.com>

	* cs8210.cs: Renamed to gcs0208.cs.

2004-12-06  Martin Baulig  <martin@ximian.com>

	* cs8206.cs: Renamed to cs1622.cs.

2004-12-06  Martin Baulig  <martin@ximian.com>

	* cs8201.cs: Removed, this is not an error !

2004-12-06  Martin Baulig  <martin@ximian.com>

	* gmcs-expect-*: Updated from mcs-expect-*.

2004-12-06  Raja R Harinath  <rharinath@novell.com>

	* Makefile (test-multi-local): Fix compile command.

2004-12-02  Duncan Mak  <duncan@ximian.com>

	* cs0122-7.cs: 
        * cs0122-8.cs: Added test cases for events, from bug #70129.

2004-12-02  Atsushi Enomoto  <atsushi@ximian.com>

	* cs1589.inc : plus one.
	* Makefile : remove dummy.xml (in case of error test failures)

2004-12-02  Atsushi Enomoto  <atsushi@ximian.com>

	* cs1570.cs, cs1570-2.cs, cs1570-3.cs, cs1570-4.cs, cs1570-5.cs,
	  cs1570-6.cs, cs1570-7.cs, cs1570-8.cs, cs1570-9.cs, cs1570-10.cs,
	  cs1570-11.cs, cs1571.cs, cs1572.cs, cs1573.cs, cs1574.cs,
	  cs1574-2.cs, cs1574-3.cs, cs1574-4.cs, cs1574-5.cs, cs1580.cs,
	  cs1580-2.cs, cs1581.cs, cs1581-2.cs, cs1584.cs, cs1584-2.cs,
	  cs1584-3.cs, cs1584-4.cs, cs1587.cs, cs1587-2.cs, cs1587-3.cs,
	  cs1587-4.cs, cs1587-5.cs, cs1587-6.cs, cs1587-7.cs, cs1587-8.cs,
	  cs1587-9.cs, cs1587-10.cs, cs1587-11.cs, cs1587-12.cs, cs1587-13.cs,
	  cs1587-14.cs, cs1587-15.cs, cs1587-16.cs, cs1587-17.cs, cs1587-18.cs,
	  cs1587-19.cs, cs1587-20.cs, cs1587-21.cs, cs1587-22.cs, cs1587-23.cs,
	  cs1587-24.cs, cs1587-25.cs, cs1587-26.cs, cs1587-27.cs, cs1587-28.cs,
	  cs1589.cs, cs1590.cs, cs1590-2.cs, cs1590-3.cs, cs1591.cs,
	  cs1591-2.cs, cs1591-3.cs, cs1591-4.cs, cs1591-5.cs, cs1591-6.cs,
	  cs1591-7.cs, cs1591-8.cs, cs1591-9.cs, cs1591-10.cs, cs1591-11.cs,
	  cs1591-12.cs, cs1591-13.cs, cs1591-14.cs, cs1591-15.cs, cs1591-16.cs,
	  cs1591-17.cs, cs1591-18.cs, cs1592.cs : added tests for /doc feature.

2004-11-26  Raja R Harinath  <rharinath@novell.com>

	* Makefile (DISTFILES): Add do-tests.pl.

2004-11-23  Carlos Alberto Cortez <calberto.cortez@gmail.com>

	* cs0275.cs: New
	
2004-11-18 Marek Safar <marek.safar@seznam.cz>

	* cs0657-19.cs: Bug#69462

2004-11-03  Carlos Alberto Cortez <carlos@unixmexico.org>
	* cs0273.cs: New
	* cs0274.cs: New
	* cs0276.cs: New
	* cs0507-2.cs: New
	* cs1644-2.cs: New

2004-10-24 Marek Safar <marek.safar@seznam.cz>

	* cs82??.cs: Renumber some 82xx errors.

2004-10-21  Raja R Harinath  <rharinath@novell.com>

	* do-tests.pl: Make robust to being invoked in parallel for
	multiple profiles.
	* Makefile: Clean any generated files.

2004-10-07  Raja R Harinath  <rharinath@novell.com>

	* mcs-ignore-tests: Empty.

	* Makefile (run-mcs-tests): Save log of output to
	$(TEST_PROFILE).log.
	(run-generics-tests): Likewise.
	Report from K Sathyasudha <ksathyasudha@novell.com>.

2004-10-05  John Luke  <john.luke@gmail.com>

	* Makefile: add *.mdb to clean target

2004-10-04  John Luke  <john.luke@gmail.com>

	* cs8205.cs: remove, same as cs1624
	* cs8206.cs: fix yield syntax, and add line number, now passes
	* cs8207.cs: remove, same as cs1623
	* cs8208.cs: remove, same as cs1625
	* cs8209.cs: remove, same as cs1631

2004-10-01  John Luke  <john.luke@gmail.com>

	* *.cs: fix some incorrect tests by either addding a Main method,
	or adding a -t:library compiler option.  Makes one test pass, and adds
	19 to *-expect-wrong-error as they compile when they shouldn't
	* *mcs-expect-*-error: update

2004-10-01  Raja R Harinath  <rharinath@novell.com>

	* cs0122-5.cs, cs0122-6.cs: New tests.
	* gmcs-expect-no-error: Update.

2004-09-27  Raja R Harinath  <rharinath@novell.com>

	* Makefile: Re-apply changes from 2004-09-14.
	(test-everything): Run tests in both profiles.

2004-09-21  Raja R Harinath  <rharinath@novell.com>

	* do-tests.pl: Print 'IGNORED' when a test is ignored.

2004-09-14  Martin Baulig  <martin@ximian.com>

	* gmcs-expect-no-error, gmcs-expect-wrong-error: Updated.

2004-09-14  Martin Baulig  <martin@ximian.com>

	* Makefile: Put the old Makefile back.

2004-09-14  Raja R Harinath  <rharinath@novell.com>

	* Makefile (MCS) [PROFILE=default]: Force testing of 'mcs'.
	(test-everything): Remove.
	(TEST_PROFILE): New.
	(run-mcs-tests, run-gmcs-tests): Unify using TEST_PROFILE.
	(run-test-local) [PROFILE=net_2_0]: Run generics tests.

2004-09-10 Marek Safar <marek.safar@seznam.cz>

	* do-test.pl: Make report readable (I was really confuse).
	Fixed bug on my machine CR+LF in *-expect-* files. 

2004-09-07  Martin Baulig  <martin@ximian.com>

	* mcs-expect-no-error: I'm slowly getting annoyed.  Is it really
	so hard to add new tests here ?

2004-09-07  Raja R Harinath  <rharinath@novell.com>

	* cs0571-3.cs, CS0571-3-lib.cs: New tests for #59980.
	* Makefile: Update list of dlls.

2004-09-03 Marek Safar <marek.safar@seznam.cz>

	* 8 new error tests.

2004-09-03  Raja R Harinath  <rharinath@novell.com>

	* do-tests.pl: Attach $profile to log file name to make clear
	which profile caused the error.

2004-09-01 Marek Safar <marek.safar@seznam.cz>

	* 20 new tests mainly for static classes.

2004-08-27  Martin Baulig  <martin@ximian.com>

	* Makefile (test-everything): New target.

2004-08-27  Martin Baulig  <martin@ximian.com>

	* gmcs-ignore-tests: New file.  This file lists tests which should
	not be run at all because they make the compiler hang.

	* gmcs-expect-no-error, gmcs-expect-wrong-error: Updated.
	* generics-expect-no-error: Updated.

2004-08-27  Martin Baulig  <martin@ximian.com>

	* Makefile
	(run-gmcs-tests): New target to run the cs*.cs tests with gmcs.
	(run-generics-tests): New target to run the gcs*.cs tests.
	(run-tests-local): Run run-mcs-tests, run-gmcs-tests and
	run-generics-tests.

	* do-tests.pl: Don't return an error value if more tests pass than
	expected.	

	* mcs-expect-no-error, mcs-expect-wrong-error: Updated to the
	current situation, ie. make all the tests pass.

	* gmcs-expect-no-error, gmcs-expect-wrong-error: New files.

	* generics-expect-wrong-error: Formerly known as
	gmcs-expect-wrong-error.	

2004-08-27  Martin Baulig  <martin@ximian.com>

	* do-tests.pl: Deal with compiler crashes.

	* mcs-expect-no-error, mcs-expect-wrong-error: Updated.

2004-08-04 Marek Safar <marek.safar@seznam.cz>

	* 62 new error tests.

2004-07-23  Martin Baulig  <martin@ximian.com>

	* cs0260.cs, cs0260-2.cs, cs0261.cs, cs0262.cs, cs0263.cs: New
	tests for partial classes.

2004-07-14  Martin Baulig  <martin@ximian.com>

	* cs1623.cs, cs1624.cs, cs1625.cs, cs1631.cs: New tests for
	iterators.	

2004-07-02  Raja R Harinath  <rharinath@novell.com>

	* cs0038-3.cs: New testcase from #60730.
	* cs0038-4.cs: Likewise.

2004-06-21  Raja R Harinath  <rharinath@novell.com>

	* cs0592-8.cs: Avoid spurious "unexpected incorrect error".

2004-06-10 Marek Safar <marek.safar@seznam.cz>

	* do-test.pl: --expect-error must be at the
	first place (mcs parses options by order).

2004-06-10 Marek Safar <marek.safar@seznam.cz>

	* do-test.pl: Added simple error logging.
	* Makefile (clean): Remove .dll & .log files

2004-06-07  Raja R Harinath  <rharinath@novell.com>

	* cs0038-2.cs: New test, from bug #59477.
	* mcs-expect-wrong-error: Add cs0038-1.

2004-06-03  Raja R Harinath  <rharinath@novell.com>

	* cs0038-1.cs, cs1540-3.cs, cs1540-4.cs, cs1540-5.cs:
	New testcases for bug #50820.

2004-06-01 Marek Safar <marek.safar@seznam.cz>

	* cs1555.cs,
	* cs1556.cs,
	* cs3000.cs: 3 new error tests.

2004-05-30 Marek Safar <marek.safar@seznam.cz>

	* cs1017.cs: New test.

2004-05-19 Marek Safar <marek.safar@seznam.cz>

	* cs0579-6.cs: New test for bug #58688.

2004-05-18 Marek Safar <marek.safar@seznam.cz>

	* cs0592-8.cs,
	* cs0657-{2-17}.cs,
	* cs1518-3.cs: 18 new error tests.
        
2004-05-14 Marek Safar <marek.safar@seznam.cz>

	* cs3008-7.cs: New test for bug #58478.

2004-05-11  Raja R Harinath  <rharinath@novell.com>

	* Makefile (run-test-local): Run gmcs and multi tests too.
	(test-multi-local): Add logging of errors.
	* runtest.pl: Change $errors and $warnings to keep track of lines
	on which errors are supposed to occur.

2004-05-10 Marek Safar <marek.safar@seznam.cz>

	* cs0577-2, cs0577-3,
	* cs1618.cs: 3 new error tests.

2004-05-10  Raja R Harinath  <rharinath@novell.com>

	* do-tests.pl: Add back lost 'chomp'.

2004-05-07  Raja R Harinath  <rharinath@novell.com>

	* do-tests.pl: Simplify sed expression.

	* cs0625.cs, cs0626.cs, cs0636.cs: New tests.

2004-05-07 Marek Safar <marek.safar@seznam.cz>

	* cs0579-4.cs, CS0579-4-1.cs,
	* cs0579-5.cs,
	* cs0657.cs,
	* cs3015-2.cs,
	* cs3019.cs,
	* cs3019-2.cs: 6 new error tests.
        
2004-05-03 Marek Safar <marek.safar@seznam.cz>

	* cs0579-3.cs,
	* cs0592-7.cs,        
	* cs0626.cs: 3 new error tests.

2004-04-29 Marek Safar <marek.safar@seznam.cz>

	* cs-11.cs: Renamed to cs1501-5.cs.

2004-04-29 Marek Safar <marek.safar@seznam.cz>

	* cs0629.cs,
	* cs1667-3.cs: 2 new error tests.

2004-04-12 Marek Safar <marek.safar@seznam.cz>

	* cs0109.cs: New test.

2004-04-14 Marek Safar <marek.safar@seznam.cz>

	* cs0612.cs,
	* cs0672-2.cs: 2 new error tests.

2004-04-13 Marek Safar <marek.safar@seznam.cz>

	* cs0618-2.cs,
	* cs0619-{27-36}.cs,
	* cs1667.cs, cs1667-2.cs: 13 new error tests.

2004-04-08 Marek Safar <marek.safar@seznam.cz>

	* cs1677.cs: Changed name from cs1667.cs

2004-04-07  Sebastien Pouliot  <sebastien@ximian.com>

	* cs1606.pub: New file. ECMA key.
	* cs1606.cs: New file. This is the same problem as cs1548-3.cs but CSC
	report a different error number when the ECMA key is being used.

2004-04-06  Sebastien Pouliot  <sebastien@ximian.com>

	* cs1548.pub: New file. Strongname file with only the public key.
	* cs1548-3.cs: New file to test signing with a strongname containing
	only the public key.

2004-04-05  Martin Baulig  <martin@ximian.com>

	* gmcs-expect-wrong-error: New file.

2004-04-05 Marek Safar <marek.safar@seznam.cz>

	* cs3009-3.cs: New error test.

2004-03-29 Ben Maurer  <bmaurer@users.sourceforge.net>

	* cs0176.cs: make this test better.

2004-03-29 Marek Safar <marek.safar@seznam.cz>
	* cs0029-3.cs,
          cs0173-2.cs,
          cs0619-{2-26}.cs,
          cs0672.cs: 29 new error tests.

2004-03-26 Ben Maurer  <bmaurer@users.sourceforge.net>

	* do-tests.pl: i think this fixes the problem with
	tests that have comp options alway passing
	* mcs-expect*: update for above.

2004-03-25  Sebastien Pouliot  <sebastien@ximian.com>

	* mcs-expect-no-errors: Removed cs1548 and cs1458-2.cs (fixed #55364).

2004-03-25 Ben Maurer  <bmaurer@users.sourceforge.net>

	* cs1510-2.cs: test for 56016.
	* cs0154-2.cs: test for 55780.
	* cs0246-6.cs: test for 55770.

2004-03-25 Ben Maurer  <bmaurer@users.sourceforge.net>

	* cs0122-4.cs: test for bug 55970.

2004-03-25  Sebastien Pouliot  <sebastien@ximian.com>

	* cs1548.cs: More descriptive comment  (missing file).
	* cs1548-2.cs: New. Invalid strongname file (content).
	* mcs-expect-no-errors: Added cs1458-2.cs.

2004-03-24 Ben Maurer  <bmaurer@users.sourceforge.net>

	* Makefile, do-tests.pl: A new system for testing.
	* mcs-expect-no-errors, mcs-expect-wrong-error: a list
	of tests that we fail on.
	* CONTRIBUTORS_README: update docs.

2004-03-23  Sebastien Pouliot  <sebastien@ximian.com>

	* cs1548.cs: New test for signing an assembly.

2004-03-16  Martin Baulig  <martin@ximian.com>

	* Makefile (run-generics-local): New target to run the generics
	tests.

	* gmcs0246.cs, gmcs0305.cs, gmcs0305-2.cs, gmcs0308.cs,
	gmcs0308-2.cs: New tests.

2004-03-12 Marek Safar <marek.safar@seznam.cz>

	* cs0182-1.cs,
	  cs3001-9.cs: New error tests.

2004-03-08 Ben Maurer  <bmaurer@users.sourceforge.net>

	* cs0111-{6,7}.cs: new test cases.

2004-03-02 Marek Safar <marek.safar@seznam.cz>

	* cs0246-5.cs: New error test.

2004-02-16 Marek Safar <marek.safar@seznam.cz>

	* cs3001-{7,8}.cs,
	  cs3005-(1-22}.cs,
	  cs3006-{1-6}.cs,
	  cs3012.cs,
	  cs3013.cs New error tests for CLS-compliance.

	* cs186-2.cs,
	  cs0579-2.cs New error tests.

	* makefile: Added CS3005-16-lib.cs and CS3013-module.cs as helpers for errors cs3005-16.cs and cs3013.cs.


2004-02-10 Marek Safar <marek.safar@seznam.cz>

	* cs0111-2.cs: Fixed error message.
	  cs0111-5.cs,
	  cs0528-2.cs: New error tests.

2004-02-03 Marek Safar <marek.safar@seznam.cz>

	* cs0102-{2,3,4,5}.cs,
	  cs0111-{3,4}.cs,
	  cs0547-2.cs: New error tests.

2004-01-21 Marek Safar <marek.safar@seznam.cz>

	* cs0102.cs,
	  cs0111-2.cs,
	  cs246-{2,3,4}.cs,
	  cs663.cs: New tests.

2004-01-05 Marek Safar <marek.safar@seznam.cz>

	* cs3001.cs,
	  cs3001-1.cs,
	  cs3001-2.cs,
	  cs3001-3.cs,
	  cs3001-4.cs,
	  cs3001-5.cs,
	  cs3001-6.cs,
	  cs3001-7.cs,
	  cs3002.cs,
	  cs3002-1.cs,
	  cs3002-10.cs,
	  cs3002-2.cs,
	  cs3002-3.cs,
	  cs3002-4.cs,
	  cs3002-5.cs,
	  cs3002-6.cs,
	  cs3002-7.cs,
	  cs3002-8.cs,
	  cs3002-9.cs,
	  cs3003.cs,
	  cs3003-1.cs,
	  cs3008.cs,
	  cs3008-1.cs,
	  cs3008-2.cs,
	  cs3008-3.cs,
	  cs3008-4.cs,
	  cs3008-5.cs,
	  cs3008-6.cs,
	  cs3010.cs,
	  cs3011.cs,
	  cs3011-1.cs,
	  cs3014.cs,
	  cs3014-1.cs,
	  cs3014-2.cs,
	  cs3014-3.cs,
	  cs3014-4.cs,
	  cs3014-5.cs,
	  cs3014-6.cs,
	  cs3014-7.cs,
	  cs3015.cs,
	  cs3015-1.cs,
	  cs3016.cs,
	  cs3016-1.cs,
	  cs3016-2.cs,
	  cs3016-3.cs: New tests for CLS-compliance.

	* cs108-2.cs,
	  cs116-2.cs,
	  cs592-4.cs,
	  cs592-5.cs,
	  cs592-6.cs: New tests.

2004-01-04 Ben Maurer  <bmaurer@users.sourceforge.net>

	* cs157-{2,3,4}: test cases we fail.

2003-11-01  Marek Safar <marek.safar@seznam.cz>

	* makefile: Added "// Compiler options:" handling.

2003-09-22  Martin Baulig  <martin@ximian.com>

	* errors.txt: Added -219.

2003-09-16  Martin Baulig  <martin@ximian.com>

	* cs8217.cs: New test.

2003-09-06  Martin Baulig  <martin@ximian.com>

	* errors.txt: Added -216.

2003-08-28 Ben Maurer  <bmaurer@users.sourceforge.net>

	* cs0666.xml: added sample xml file for monodoc error provider.

2003-07-28  Martin Baulig  <martin@ximian.com>

	* cs0075.cs: This test case was incorrect; according to the spec,
	`(double) -1' is allowed since `double' is a builtin type.
	However, `(A) -1' is not allowed where `A' is a valuetype and has
	an implicit conversion from int.

2003-07-28  Nick Drochak <ndrochak@gol.com>

	* Makefile: added test-local target. Fixes build problem.

2003-07-26  Gonzalo Paniagua Javier <gonzalo@ximian.com>

	* Makefile: added install-local target.

2003-07-26  Martin Baulig  <martin@ximian.com>

	* error-6.cs: New test for bug #46907.

	* Makefile:
	(test-multi-local): Run the multi-test tests.
	(all-local): Run run-test-local and test-multi-local.

2003-07-21  Martin Baulig  <martin@ximian.com>

	* syntax0068.cs, syntax0069.cs, syntax0071.cs, syntax0116.cs:
	These are syntax errors which we'd need to catch in cs-parser.jay;
	separate them from the other errors.

	* cs0572.cs: New test.

2003-07-14  Martin Baulig  <martin@ximian.com>

	* cs0212.cs: New test.

2003-07-14  Ravi Pratap M  <ravi@ximian.com>

	* cs1501-4.cs: Another test case for this error. This time it is on
	constructors for attributes. We now report the error correctly.

2003-05-18  Martin Baulig  <martin@ximian.com>

	* error-3.cs: Added testcase for CS0188.

2003-05-18  Martin Baulig  <martin@ximian.com>

	* error-4.cs: Renamed to cs1502-2.cs.

2003-05-18  Martin Baulig  <martin@ximian.com>

	* makefile: Ignore CS0162 and CS0169.

2003-03-29  Gaurav Vaish <gvaish_mono@lycos.com>

	* cs1518-2.cs:   Added comment describing the error.

2003-03-29  Gaurav Vaish <gvaish_mono@lycos.com>

	* cs1518-2.cs:   Added new test.

2002-12-24  Alejandro Sánchez Acosta  <raciel@gnome.org>

	* cs0208.cs: Added new test.

2002-12-24  Alejandro Sánchez Acosta  <raciel@gnome.org>

	* cs0202.cs: Added new test.
	
2002-12-24  Alejandro Sánchez Acosta  <raciel@gnome.org>

	* cs0197.cs: Added new test.

2002-12-23  Alejandro Sánchez Acosta  <raciel@gnome.org>

	* cs0192.cs: Added new test.

2002-12-23  Alejandro Sánchez Acosta  <raciel@gnome.org>

	* cs0170.cs: Added new test.

2002-12-23  Alejandro Sánchez Acosta  <raciel@gnome.org>

	* cs0156.cs: Added new test.

2002-12-21  Alejandro Sánchez Acosta  <raciel@gnome.org>

	* cs0163.cs: Added new test file.

2002-12-21  Alejandro Sánchez Acosta  <raciel@gnome.org>

	* cs0161.cs: Added new test file.

2002-12-19  Cesar Octavio Lopez Nataren  <cesar@ciencias.unam.mx>

	* cs0230.cs: Added this test file.

2002-12-19  Cesar Octavio Lopez Nataren  <cesar@ciencias.unam.mx>

	* cs0225.cs: Added this file

2002-12-18  Cesar Octavio Lopez Nataren  <cesar@ciencias.unam.mx>

	* cs0201.cs: Added this new test.

2002-12-18  Ravi Pratap  <ravi@ximian.com>

	* errors.txt : Update for error # -24.

2002-12-17  Alejandro Sánchez Acosta  <raciel@gnome.org>

	* cs0154.cs: New test.

2002-12-17  Alejandro Sánchez Acosta  <raciel@gnome.org>

	* cs0138.cs: New test.

2002-12-07  Ravi Pratap  <ravi@ximian.com>

	* cs0579.cs : Add.

2002-12-01  Alejandro Sánchez Acosta  <raciel@es.gnu.org>

	* cs0140.cs,
	  cs0143.cs: New test.

2002-12-01  Alejandro Sánchez Acosta  <raciel@es.gnu.org>

	* cs0100.cs,
	  cs0105.cs,
	  cs0112.cs,
	  cs0116.cs: New test.

2002-09-12  Martin Baulig  <martin@gnome.org>

	* cs0038.cs: New test.

2002-08-27  Martin Baulig  <martin@gnome.org>

	* cs0120-3.cs: New test.

2002-08-19  Ravi Pratap  <ravi@ximian.com>

	* error-4.cs : New test.

	* error-5.cs : New test.

2002-08-11  Martin Baulig  <martin@gnome.org>

	* error-3.cs: New test.

2002-08-08  Martin Baulig  <martin@gnome.org>

	* cs1540.cs: New test.

2002-08-08  Martin Baulig  <martin@gnome.org>

	* cs0236.cs: New test.

2002-08-05  Martin Baulig  <martin@gnome.org>

	* runtest.pl: This is a perl script which runs a testcase, parses the
	MCS output and checks whether all errors are reported.

	* error-1.cs, error-2.cs: Moved here from ../tests/.

	* README.tests: Added (empty) list of all test cases.

2002-08-02  Martin Baulig  <martin@gnome.org>

	* cs0155.cs, cs0155-2.cs: New tests.

2002-07-06  Andrew Birkett  <adb@tardis.ed.ac.uk>

	* cs1039.cs, cs1033.cs, cs1010.cs: New tests.

2002-06-26    <adb@tardis.ed.ac.uk>

	* cs1501-3.cs: Added new test for struct ctr typechecks.

2002-06-24  Andrew Birkett  <adb@tardis.ed.ac.uk>

	* fail: cs0121.cs, cs0157.cs and cs1501.cs no longer fail.  
	* cs0176.cs: Method has to be public for correct test
	* cs0196.cs, cs0242.cs: Do 'return' to stop null statement warning.
	* cs0255.cs: Add assignment to stop 'unused variable' warning.
	* makefile: Output is now like "Running test 42 .. OK".  Added --unsafe to 
	  make cs0193.cs, cs0196.cs and cs0214-3.cs work.

